> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a pending payment session



## OpenAPI

````yaml /openapi.json patch /payment-sessions/{id}
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /payment-sessions/{id}:
    patch:
      tags:
        - payments
      summary: Update a pending payment session
      operationId: PaymentLifecycle.Web.SessionController.update
      parameters:
        - description: Session id
          example: 2315fca8-9aec-42ee-8bee-a9d10add170e
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentSessionUpdateParams'
        description: Params
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentSessionResponse'
          description: Session
        '404':
          $ref: '#/components/responses/not_found'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
      callbacks: {}
components:
  schemas:
    PaymentSessionUpdateParams:
      type: object
    PaymentSessionResponse:
      type: object
  responses:
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found
    unprocessable_entity:
      content:
        application/json:
          schema:
            type: object
      description: Unprocessable Entity

````